MoreLocale 2

4.3
45K reviews
5M+
Downloads
Content rating
Everyone
Screenshot image
Screenshot image
Screenshot image
Screenshot image

About this app

* NOTICE *
After 4.2 new Jelly Bean, The protection level definition of CHANGE_CONFIGURATION has been changed.
If you're able to use development tools, you can grant the permission manually by 'pm' command.
If you have SuperUser privilege on your device. MoreLocale 2 could get the permission automatically.

You can select more locales via this app.
If your locale doesn't appear, please use custom locale function in menu.
Updated on
Dec 11, 2023

Data safety

Safety starts with understanding how developers collect and share your data. Data privacy and security practices may vary based on your use, region, and age. The developer provided this information and may update it over time.
No data shared with third parties
Learn more about how developers declare sharing
No data collected
Learn more about how developers declare collection

Ratings and reviews

4.3
43.4K reviews
A Google user
February 25, 2019
I've installed the MoreLocale 2 in a Galaxy J5 and S5 Brazilan models with success. Installation procedure is not difficult but requieres some familiarity of how to enable USB Debugging in the smartphone and how to send MS-DOS commands. After installation, I've changed the language to japanese and some icons and apps in J5 were not translated like Camera, Phone, Contacts and Messages (kept in english). In the S5 was everything ok.
431 people found this review helpful
Did you find this helpful?
Simon Rozman's Phone
November 6, 2022
Allows me to use English user interface while having dates and times displayed in my native locale. UI is a bit geekish, but being a "setup and forget" thing it is no biggie.
192 people found this review helpful
Did you find this helpful?
李镇粤
November 11, 2023
It works well on Xiaomi 14 with HyperOS (Andoird 14). The pm command requires turning on the "USB debugging (Security setting)" in Developer Options
9 people found this review helpful
Did you find this helpful?

What's new

Fixing the install error in earlier 2.3 devices.

Support Google Glass.
See more detail at https://www.c-lis.co.jp/our_services/morelocale-2